//  Persistance of Vision Raytracer V3.0
//  World definition file.
//
//  Contains 2 lights, 9 textures and 86 primitives.
//
//  This file was generated for POV-Ray V3.0 by
//  MORAY.EXE V2.5b.wat(c) 1991-1995 Lutz + Kretzschmar
//

//  Date : 08/31/1997    (31.08.1997)
//  Autor (c) Ralph Gerhard
//  r.gerhard@iname.com

//
//  This is the standard include file for POV-Ray. It is included with
//  every scene that Moray V2.0 exports for POV-Ray.
//





global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.8
  hf_gray_16 off
  irid_wavelength <0.25,0.18,0.14>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera StdCam
  location  <-4.000, -8.312, 9.327>
  direction <0.0,     0.0,  1.0311>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333, 0.0,  0.0>
  look_at   <1.505, 0.836, 3.721>
}

// *******  L I G H T S *******
light_source {   // Light001
  <20.156, 1.836, 4.000>
  color rgb <2.342, 2.008, 2.008>
}

light_source {   // Light1
  <0.376, -6.266, 10.316>
  color rgb <1.000, 1.000, 1.000>
}


// ********  TEXTURES  *******
//

#include "magicube.inc"



// ********  REFERENCED OBJECTS  *******



// ********  OBJECTS  *******

sphere { // MagicSphere1
  <0,0,0>,1
  texture {
    Glas
  }
  scale 6.0
  translate  <0.0, 14.0, 6.0>
}




sphere { // MagicSphere
  <0,0,0>,1
  texture {
    Glas
  }
  scale 6.0
  translate  <16.0, 8.0, 6.0>
}


plane { // Plane001
  z,0
  texture {
    Sapphire_Agat1
  }
  scale <1.0, 1.0, 0.3>
}


#declare Wuerfel1 = union {
  box { // Cube1
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube2
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Rot
    }
    scale 0.9
    translate  -0.11*x
  }
  box { // Cube3
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Blau
    }
    scale 0.9
    translate  <0.0, -0.11, 0.0>
  }
  box { // Cube4
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Weiss
    }
    scale 0.9
    translate  -0.11*z
  }
  hollow
}
#declare Wuerfel4 = union {
  box { // Cube12
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube13
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Rot
    }
    scale 0.9
    translate  <0.0, -0.11, 0.0>
  }
  box { // Cube14
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
    scale 0.9
    translate  -0.11*z
  }
  rotate -90.0*z
  translate  2.1*y
}
#declare Wuerfel5 = union {
  box { // Cube15
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube16
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Orange
    }
    scale 0.9
    translate  -0.11*x
  }
  box { // Cube17
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Rot
    }
    scale 0.9
    translate  <0.0, -0.11, 0.0>
  }
  box { // Cube18
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Weiss
    }
    scale 0.9
    translate  -0.11*z
  }
  rotate -90.0*z
  translate  4.2*y
}
#declare Wuerfel10 = union {
  box { // Cube31
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube32
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Rot
    }
    scale 0.9
    translate  -0.11*x
  }
  box { // Cube33
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Blau
    }
    scale 0.9
    translate  <0.0, -0.11, 0.0>
  }
  rotate -90.0*z
  translate  <0.0, 4.2, 2.1>
}
#declare Wuerfel11 = union {
  box { // Cube35
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube36
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Blau
    }
    scale 0.9
    translate  <0.0, -0.11, 0.0>
  }
  rotate -90.0*z
  translate  <0.0, 2.1, 2.1>
}
#declare Wuerfel12 = union {
  box { // Cube38
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube39
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Blau
    }
    scale 0.9
    translate  <0.0, -0.11, 0.0>
  }
  box { // Cube41
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Gelb
    }
    scale 0.9
    translate  <0.11, 0.0, 0.0>
  }
  rotate -90.0*z
  translate  <0.0, 0.0, 2.1>
}
#declare Wuerfel23 = union {
  box { // Cube75
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube76
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Orange
    }
    scale 0.9
    translate  -0.11*x
  }
  box { // Cube77
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Rot
    }
    scale 0.9
    translate  <0.0, -0.11, 0.0>
  }
  box { // Cube78
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Gruen
    }
    scale 0.9
    translate  0.11*z
  }
  rotate 0.0*z
  translate  <0.0, 0.0, 4.2>
}
#declare Wuerfel24 = union {
  box { // Cube79
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube80
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Orange
    }
    scale 0.9
    translate  <0.0, -0.11, 0.0>
  }
  box { // Cube81
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Gruen
    }
    scale 0.9
    translate  0.11*z
  }
  rotate -90.0*z
  translate  <0.0, 2.1, 4.2>
}
#declare Wuerfel25 = union {
  box { // Cube82
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube83
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Gelb
    }
    scale 0.9
    translate  -0.11*x
  }
  box { // Cube84
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Orange
    }
    scale 0.9
    translate  <0.0, -0.11, 0.0>
  }
  box { // Cube85
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Gruen
    }
    scale 0.9
    translate  0.11*z
  }
  rotate -90.0*z
  translate  <0.0, 4.2, 4.2>
}
#declare Links = union {
  object { Wuerfel1 }
  object { Wuerfel4 }
  object { Wuerfel5 }
  object { Wuerfel10 }
  object { Wuerfel11 }
  object { Wuerfel12 }
  object { Wuerfel23 }
  object { Wuerfel24 }
  object { Wuerfel25 }
  rotate 90.0*x
  translate  4.2*y
}
#declare Wuerfel2 = union {
  box { // Cube5
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube6
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Blau
    }
    scale 0.9
    translate  <0.0, -0.11, 0.0>
  }
  box { // Cube7
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Weiss
    }
    scale 0.9
    translate  -0.11*z
  }
  translate  2.1*x
}
#declare Wuerfel6 = union {
  box { // Cube19
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube20
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Orange
    }
    scale 0.9
    translate  <0.0, -0.11, 0.0>
  }
  box { // Cube21
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Weiss
    }
    scale 0.9
    translate  -0.11*z
  }
  rotate 180.0*z
  translate  <2.1, 4.2, 0.0>
}
#declare Wuerfel9 = union {
  box { // Cube29
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube30
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Weiss
    }
    scale 0.9
    translate  -0.11*z
  }
  translate  <2.1, 2.1, 0.0>
}
#declare Unterteil = union {
  object { Wuerfel2 }
  object { Wuerfel6 }
  object { Wuerfel9 }
}
#declare Wuerfel13 = union {
  box { // Cube42
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube43
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Rot
    }
    scale 0.9
    translate  <0.0, -0.11, 0.0>
  }
  rotate -90.0*z
  translate  2.1*y
}
#declare Wuerfel17 = union {
  box { // Cube56
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube57
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Gelb
    }
    scale 0.9
    translate  <0.0, -0.11, 0.0>
  }
  rotate 90.0*z
  translate  <4.2, 2.1, 0.0>
}
#declare Wuerfel18 = union {
  box { // Cube59
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  translate  <2.1, 2.1, 0.0>
}
#declare Mittelteil = union {
  object { Wuerfel13 }
  object { Wuerfel17 }
  object { Wuerfel18 }
  rotate -90.0*z
  translate  <0.0, 4.2, 2.1>
}
#declare Wuerfel22 = union {
  box { // Cube72
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube73
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Rot
    }
    scale 0.9
    translate  <0.0, -0.11, 0.0>
  }
  box { // Cube74
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Gruen
    }
    scale 0.9
    translate  0.11*z
  }
  rotate -90.0*z
  translate  2.1*y
}
#declare Wuerfel26 = union {
  box { // Cube86
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube87
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Gelb
    }
    scale 0.9
    translate  <0.0, -0.11, 0.0>
  }
  box { // Cube88
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Gruen
    }
    scale 0.9
    translate  0.11*z
  }
  rotate 90.0*z
  translate  <4.2, 2.1, 0.0>
}
#declare Wuerfel27 = union {
  box { // Cube89
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube90
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Gruen
    }
    scale 0.9
    translate  0.11*z
  }
  translate  <2.1, 2.1, 0.0>
}
#declare Oberteil = union {
  object { Wuerfel22 }
  object { Wuerfel26 }
  object { Wuerfel27 }
  rotate -270.0*z
  translate  <4.2, 0.0, 4.2>
}
#declare Mitte = union {
  object { Unterteil }
  object { Mittelteil }
  object { Oberteil }
}
#declare Wuerfel3 = union {
  box { // Cube8
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube9
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Blau
    }
    scale 0.9
    translate  <0.0, -0.11, 0.0>
  }
  box { // Cube10
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Weiss
    }
    scale 0.9
    translate  -0.11*z
  }
  box { // Cube11
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Gelb
    }
    scale 0.9
    translate  <0.11, 0.0, 0.0>
  }
  translate  4.2*x
}
#declare Wuerfel7 = union {
  box { // Cube22
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube23
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Gelb
    }
    scale 0.9
    translate  -0.11*x
  }
  box { // Cube24
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Orange
    }
    scale 0.9
    translate  <0.0, -0.11, 0.0>
  }
  box { // Cube25
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Weiss
    }
    scale 0.9
    translate  -0.11*z
  }
  rotate -180.0*z
  translate  <4.2, 4.2, 0.0>
}
#declare Wuerfel8 = union {
  box { // Cube26
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube27
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Gelb
    }
    scale 0.9
    translate  <0.0, -0.11, 0.0>
  }
  box { // Cube28
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Weiss
    }
    scale 0.9
    translate  -0.11*z
  }
  rotate 90.0*z
  translate  <4.2, 2.1, 0.0>
}
#declare Wuerfel14 = union {
  box { // Cube45
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube46
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Orange
    }
    scale 0.9
    translate  -0.11*x
  }
  box { // Cube47
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Rot
    }
    scale 0.9
    translate  <0.0, -0.11, 0.0>
  }
  rotate 180.0*z
  translate  <4.2, 4.2, 2.1>
}
#declare Wuerfel15 = union {
  box { // Cube49
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube50
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Orange
    }
    scale 0.9
    translate  <0.0, -0.11, 0.0>
  }
  rotate 90.0*z
  translate  <4.2, 2.1, 2.1>
}
#declare Wuerfel16 = union {
  box { // Cube52
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube53
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Gelb
    }
    scale 0.9
    translate  -0.11*x
  }
  box { // Cube54
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Orange
    }
    scale 0.9
    translate  <0.0, -0.11, 0.0>
  }
  rotate 90.0*z
  translate  <4.2, 0.0, 2.1>
}
#declare Wuerfel19 = union {
  box { // Cube61
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube62
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Rot
    }
    scale 0.9
    translate  -0.11*x
  }
  box { // Cube63
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Blau
    }
    scale 0.9
    translate  <0.0, -0.11, 0.0>
  }
  box { // Cube64
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Gruen
    }
    scale 0.9
    translate  0.11*z
  }
  rotate 90.0*z
  translate  <4.2, 0.0, 4.2>
}
#declare Wuerfel20 = union {
  box { // Cube65
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube66
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Blau
    }
    scale 0.9
    translate  <0.0, -0.11, 0.0>
  }
  box { // Cube67
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Gruen
    }
    scale 0.9
    translate  0.11*z
  }
  rotate 90.0*z
  translate  <4.2, 2.1, 4.2>
}
#declare Wuerfel21 = union {
  box { // Cube68
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grau
    }
  }
  box { // Cube69
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Blau
    }
    scale 0.9
    translate  <0.0, -0.11, 0.0>
  }
  box { // Cube70
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Gruen
    }
    scale 0.9
    translate  0.11*z
  }
  box { // Cube71
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Gelb
    }
    scale 0.9
    translate  <0.11, 0.0, 0.0>
  }
  rotate 90.0*z
  translate  <4.2, 4.2, 4.2>
}
#declare Rechts = union {
  object { Wuerfel3 }
  object { Wuerfel7 }
  object { Wuerfel8 }
  object { Wuerfel14 }
  object { Wuerfel15 }
  object { Wuerfel16 }
  object { Wuerfel19 }
  object { Wuerfel20 }
  object { Wuerfel21 }
  rotate -90.0*x
  translate  4.2*z
}
union { // MagicCube
  object { Links }
  object { Mitte }
  object { Rechts }
  translate  1.0*z
}




